## Create a new App `client.magicTransit.apps.create(AppCreateParamsparams, RequestOptionsoptions?): AppCreateResponse | null` **post** `/accounts/{account_id}/magic/apps` Creates a new App for an account ### Parameters - `params: AppCreateParams` - `account_id: string` Path param: Identifier - `name: string` Body param: Display name for the app. - `type: string` Body param: Category of the app. - `hostnames?: Array` Body param: FQDNs to associate with traffic decisions. - `ip_subnets?: Array` Body param: IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported) - `source_subnets?: Array` Body param: IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported) ### Returns - `AppCreateResponse` Custom app defined for an account. - `account_app_id: string` Magic account app ID. - `hostnames?: Array` FQDNs to associate with traffic decisions. - `ip_subnets?: Array` IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported) - `name?: string` Display name for the app. - `source_subnets?: Array` IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported) - `type?: string` Category of the app. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const app = await client.magicTransit.apps.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', name: 'Cloudflare Dashboard', type: 'Development', }); console.log(app.account_app_id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "account_app_id": "ac60d3d0435248289d446cedd870bcf4", "hostnames": [ "auth.cloudflare.com" ], "ip_subnets": [ "192.0.2.0/24" ], "name": "Cloudflare Dashboard", "source_subnets": [ "192.0.2.0/24" ], "type": "Development" }, "success": true } ```